trc_gen_elem_types.h File Reference

OpenCSD : Decoder Output Generic Element types. More...

`#include "opencsd/ocsd_if_types.h"`
Include dependency graph for trc_gen_elem_types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | _trace_event_t
struct | _trace_marker_payload_t
struct | _ocsd_generic_trace_elem

## Typedefs

typedef enum _ocsd_gen_trc_elem_t | ocsd_gen_trc_elem_t
typedef enum _trace_on_reason_t | trace_on_reason_t
typedef struct _trace_event_t | trace_event_t
typedef enum _unsync_info_t | unsync_info_t
typedef enum _trace_sync_marker_t | trace_sync_marker_t
typedef struct _trace_marker_payload_t | trace_marker_payload_t
typedef enum _memtrans_t | trace_memtrans_t
typedef struct _ocsd_generic_trace_elem | ocsd_generic_trace_elem
typedef enum _event_t | event_t

## Enumerations

enum

_ocsd_gen_trc_elem_t {
OCSD_GEN_TRC_ELEM_UNKNOWN = 0 , OCSD_GEN_TRC_ELEM_NO_SYNC , OCSD_GEN_TRC_ELEM_TRACE_ON , OCSD_GEN_TRC_ELEM_EO_TRACE ,
OCSD_GEN_TRC_ELEM_PE_CONTEXT , OCSD_GEN_TRC_ELEM_INSTR_RANGE , OCSD_GEN_TRC_ELEM_I_RANGE_NOPATH , OCSD_GEN_TRC_ELEM_ADDR_NACC ,
OCSD_GEN_TRC_ELEM_ADDR_UNKNOWN , OCSD_GEN_TRC_ELEM_EXCEPTION , OCSD_GEN_TRC_ELEM_EXCEPTION_RET , OCSD_GEN_TRC_ELEM_TIMESTAMP ,
OCSD_GEN_TRC_ELEM_CYCLE_COUNT , OCSD_GEN_TRC_ELEM_EVENT , OCSD_GEN_TRC_ELEM_SWTRACE , OCSD_GEN_TRC_ELEM_SYNC_MARKER ,
OCSD_GEN_TRC_ELEM_MEMTRANS , OCSD_GEN_TRC_ELEM_CUSTOM
}

enum | _trace_on_reason_t { TRACE_ON_NORMAL = 0 , TRACE_ON_OVERFLOW , TRACE_ON_EX_DEBUG }
enum | _unsync_info_t { UNSYNC_UNKNOWN , UNSYNC_INIT_DECODER , UNSYNC_RESET_DECODER , UNSYNC_OVERFLOW , UNSYNC_DISCARD , UNSYNC_BAD_PACKET , UNSYNC_EOT }
enum | _trace_sync_marker_t { ELEM_MARKER_TS }
enum | _memtrans_t { OCSD_MEM_TRANS_TRACE_INIT , OCSD_MEM_TRANS_START , OCSD_MEM_TRANS_COMMIT , OCSD_MEM_TRANS_FAIL }
enum | _event_t { EVENT_UNKNOWN = 0 , EVENT_TRIGGER , EVENT_NUMBERED }

## Detailed Description

OpenCSD : Decoder Output Generic Element types.

Copyright
  Copyright (c) 2015, ARM Limited. All Rights Reserved.

Definition in file trc_gen_elem_types.h.